#include <Adafruit_NeoPixel.h>
#define LEDPIN RGB_LED // connect the Data from the strip to this pin on the Arduino
#define NUMBER_PIEXELS 1 // the number of pixels in your LED strip
Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUMBER_PIEXELS, LEDPIN, NEO_GRB + NEO_KHZ800);

int colorState;
int potPin = A0;

int currentColorValueRed;
int currentColorValueGreen;
int currentColorValueBlue;

void setup()
{
  pinMode(potPin, INPUT);
  SerialUSB.begin (9600);
  strip.begin();
  strip.show();   // Initialize all pixels to 'off'
}

void loop()
{
  int potPinValue = map(analogRead(potPin), 0, 1024, 0, 255);

//  // Define the color codes by name to make it easier to call later on
//  uint32_t red = strip.Color(255, 0, 0);
//  uint32_t green = strip.Color(0, 255, 0);
//  uint32_t yellow = strip.Color(255, 100, 0);

  // Note: 1/6th of 255 is 42.5
  if (potPinValue <= 42.5) {
    currentColorValueRed = 255;
    currentColorValueGreen = potPinValue * 6;
    currentColorValueBlue = 0;
   }
   
   if ((potPinValue > 42.5) && (potPinValue <= 85)) {
    currentColorValueRed = 255 - (potPinValue - 43) * 6;
    currentColorValueGreen = 255;
    currentColorValueBlue = 0;
   }
   
   if ((potPinValue > 85) && (potPinValue <= 127.5)) {
    currentColorValueRed = 0;
    currentColorValueGreen = 255;
    currentColorValueBlue = (potPinValue - 85) * 6;
   }
   
  if ((potPinValue > 127.5) && (potPinValue <= 170)) {
    currentColorValueRed = 0;
    currentColorValueGreen = 255 - (potPinValue - 127.5) * 6;
    currentColorValueBlue = 255;
  }
   
  if ((potPinValue > 170) && (potPinValue <= 212.5)) {
    currentColorValueRed = (potPinValue - 170) * 6;
    currentColorValueGreen = 0;
    currentColorValueBlue = 255;
  }
  
  if ((potPinValue > 212.5) && (potPinValue <= 255)) {
    currentColorValueRed = 255;
    currentColorValueGreen = 0;
    currentColorValueBlue = 255 - (potPinValue - 212.5) * 6;
  }
   
  strip.setPixelColor(0, currentColorValueRed, currentColorValueBlue, currentColorValueGreen);
  strip.setPixelColor(2, currentColorValueRed, currentColorValueBlue, currentColorValueGreen);
  strip.show();
}
